<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (17) on Fri Jun 03 20:10:18 CDT 2022 -->
<title>Correlacion</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-06-03">
<meta name="description" content="declaration: package: herramientas.matematicas, class: Correlacion">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field-detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">herramientas.matematicas</a></div>
<h1 title="Class Correlacion" class="title">Class Correlacion</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">herramientas.matematicas.Correlacion</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">Correlacion</span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span></div>
<div class="block">Operaciones para obtener la Correlacion</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="caption"><span>Fields</span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Field</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>protected <a href="../../estructurasLineales/ListaDinamicaDoble.html" title="class in estructurasLineales">ListaDinamicaDoble</a></code></div>
<div class="col-second even-row-color"><code><a href="#tabX" class="member-name-link">tabX</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>protected <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second odd-row-color"><code><a href="#tabXEstatica" class="member-name-link">tabXEstatica</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>protected <a href="../../estructurasLineales/ListaDinamicaDoble.html" title="class in estructurasLineales">ListaDinamicaDoble</a></code></div>
<div class="col-second even-row-color"><code><a href="#tabY" class="member-name-link">tabY</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>protected <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second odd-row-color"><code><a href="#tabYEstatica" class="member-name-link">tabYEstatica</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(java.lang.String,java.lang.String)" class="member-name-link">Correlacion</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;tablaX,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;tablaY)</code></div>
<div class="col-last even-row-color">
<div class="block">Recibe como parametros la ruta de las tablas</div>
</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#correlacionDenominadorMuestral()" class="member-name-link">correlacionDenominadorMuestral</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#correlacionDenominadorPoblacional()" class="member-name-link">correlacionDenominadorPoblacional</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Denominador coorelacion: (n-1)*desviaciÃ³nEstÃ¡ndarY*desviaciÃ³nEstÃ¡ndarX</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#correlacionMuestral()" class="member-name-link">correlacionMuestral</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#correlacionPoblacional()" class="member-name-link">correlacionPoblacional</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Coorelacion: ((xi)-promedioX)*(yi-promedioY))/(n-1)*desviaciÃ³nEstÃ¡ndarY*desviaciÃ³nEstÃ¡ndarX</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#covarianza()" class="member-name-link">covarianza</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#desviacionEstandarXMuestral()" class="member-name-link">desviacionEstandarXMuestral</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Desviacion Estandar de la muestra X</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#desviacionEstandarXPoblacional()" class="member-name-link">desviacionEstandarXPoblacional</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Desviacion Estandar: (Xi-PromedioX)/n</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#desviacionEstandarYMuestral()" class="member-name-link">desviacionEstandarYMuestral</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Desviacion Estandar de la muestra Y</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#desviacionEstandarYPoblacional()" class="member-name-link">desviacionEstandarYPoblacional</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Desviacion Estandar: (Yi-PromedioY)/n</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#graficarDatos()" class="member-name-link">graficarDatos</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#interpretacionVarianza(double)" class="member-name-link">interpretacionVarianza</a><wbr>(double&nbsp;valor)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#promedioX()" class="member-name-link">promedioX</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Promediar los valores de la Tabla X</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#promedioY()" class="member-name-link">promedioY</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Promediar los valores de la Tabla Y</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#sumatoriaNumerador()" class="member-name-link">sumatoriaNumerador</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Sumatoria del numerador: ((xi)-promedioX)*(yi-promedioY))</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#sumatoriaX()" class="member-name-link">sumatoriaX</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#sumatoriaY()" class="member-name-link">sumatoriaY</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field-detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="tabX">
<h3>tabX</h3>
<div class="member-signature"><span class="modifiers">protected</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaDinamicaDoble.html" title="class in estructurasLineales">ListaDinamicaDoble</a></span>&nbsp;<span class="element-name">tabX</span></div>
</section>
</li>
<li>
<section class="detail" id="tabY">
<h3>tabY</h3>
<div class="member-signature"><span class="modifiers">protected</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaDinamicaDoble.html" title="class in estructurasLineales">ListaDinamicaDoble</a></span>&nbsp;<span class="element-name">tabY</span></div>
</section>
</li>
<li>
<section class="detail" id="tabXEstatica">
<h3>tabXEstatica</h3>
<div class="member-signature"><span class="modifiers">protected</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">tabXEstatica</span></div>
</section>
</li>
<li>
<section class="detail" id="tabYEstatica">
<h3>tabYEstatica</h3>
<div class="member-signature"><span class="modifiers">protected</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">tabYEstatica</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String)">
<h3>Correlacion</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">Correlacion</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;tablaX,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;tablaY)</span></div>
<div class="block">Recibe como parametros la ruta de las tablas</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>tablaX</code> - archivo .txt de la tabla X</dd>
<dd><code>tablaY</code> - archivo .txt de la tabla Y</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="promedioX()">
<h3>promedioX</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">promedioX</span>()</div>
<div class="block">Promediar los valores de la Tabla X</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>promedio tabla X</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="promedioY()">
<h3>promedioY</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">promedioY</span>()</div>
<div class="block">Promediar los valores de la Tabla Y</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>promedio tabla Y</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="sumatoriaNumerador()">
<h3>sumatoriaNumerador</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">sumatoriaNumerador</span>()</div>
<div class="block">Sumatoria del numerador: ((xi)-promedioX)*(yi-promedioY))</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>sumatoria del numerador de la pendiente</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="sumatoriaX()">
<h3>sumatoriaX</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">sumatoriaX</span>()</div>
</section>
</li>
<li>
<section class="detail" id="sumatoriaY()">
<h3>sumatoriaY</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">sumatoriaY</span>()</div>
</section>
</li>
<li>
<section class="detail" id="desviacionEstandarXPoblacional()">
<h3>desviacionEstandarXPoblacional</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">desviacionEstandarXPoblacional</span>()</div>
<div class="block">Desviacion Estandar: (Xi-PromedioX)/n</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>desviacion estandar de la tabla X</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="desviacionEstandarXMuestral()">
<h3>desviacionEstandarXMuestral</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">desviacionEstandarXMuestral</span>()</div>
<div class="block">Desviacion Estandar de la muestra X</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>desviacion estandar de la muestra tabla X</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="desviacionEstandarYPoblacional()">
<h3>desviacionEstandarYPoblacional</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">desviacionEstandarYPoblacional</span>()</div>
<div class="block">Desviacion Estandar: (Yi-PromedioY)/n</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>desviacion estandar de la tabla Y</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="desviacionEstandarYMuestral()">
<h3>desviacionEstandarYMuestral</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">desviacionEstandarYMuestral</span>()</div>
<div class="block">Desviacion Estandar de la muestra Y</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>desviacion estandar de la muestra tabla Y</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="covarianza()">
<h3>covarianza</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">covarianza</span>()</div>
</section>
</li>
<li>
<section class="detail" id="correlacionDenominadorPoblacional()">
<h3>correlacionDenominadorPoblacional</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">correlacionDenominadorPoblacional</span>()</div>
<div class="block">Denominador coorelacion: (n-1)*desviaciÃ³nEstÃ¡ndarY*desviaciÃ³nEstÃ¡ndarX</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>Denominador coorelacion</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="correlacionDenominadorMuestral()">
<h3>correlacionDenominadorMuestral</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">correlacionDenominadorMuestral</span>()</div>
</section>
</li>
<li>
<section class="detail" id="correlacionPoblacional()">
<h3>correlacionPoblacional</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">correlacionPoblacional</span>()</div>
<div class="block">Coorelacion: ((xi)-promedioX)*(yi-promedioY))/(n-1)*desviaciÃ³nEstÃ¡ndarY*desviaciÃ³nEstÃ¡ndarX</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>Coorelacion</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="correlacionMuestral()">
<h3>correlacionMuestral</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">correlacionMuestral</span>()</div>
</section>
</li>
<li>
<section class="detail" id="interpretacionVarianza(double)">
<h3>interpretacionVarianza</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">interpretacionVarianza</span><wbr><span class="parameters">(double&nbsp;valor)</span></div>
</section>
</li>
<li>
<section class="detail" id="graficarDatos()">
<h3>graficarDatos</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">graficarDatos</span>()</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
